libpng update (SSA:2004-124-04)
Posted on: 05/03/2004 06:28 PM

A libpng update (SSA:2004-124-04) has been released for Slackware Linux:

New libpng packages are available for Slackware 9.0, 9.1, and -current to fix an issue where libpng could be caused to crash, perhaps creating a denial of service issue if network services are linked with it.

More details about this issue may be found in the Common
Vulnerabilities and Exposures (CVE) database:

Here are the details from the Slackware 9.1 ChangeLog:
Sun May 2 17:16:41 PDT 2004
patches/packages/libpng-1.2.5-i486-2.tgz: Patched a problem where
libpng may access memory that is out of bounds when creating an error
message, possibly crashing libpng and creating a denial of service.
For more details, see:
(* Security fix *)

Where to find the new packages:

Updated package for Slackware 9.0:

Updated package for Slackware 9.1:

Updated package for Slackware -current:

MD5 signatures:

Slackware 9.0 package:
6c68e6a65850e26b60651d65fd8c0a2f libpng-1.2.5-i386-2.tgz

Slackware 9.1 package:
781c7e61997c34c5c70855be40012bb9 libpng-1.2.5-i486-2.tgz

Slackware -current package:
476b916ded315a2eba0af3c6637d770b libpng-1.2.5-i486-2.tgz

Installation instructions:

Upgrade the package as root:
# upgradepkg libpng-1.2.5-i486-2.tgz


Slackware Linux Security Team

Printed from Linux Compatible (